Index: trip-planner-front/src/app/location/add-location-to-planner-panel/add-location-to-planner-panel.component.html
===================================================================
--- trip-planner-front/src/app/location/add-location-to-planner-panel/add-location-to-planner-panel.component.html	(revision 571e0df9a7a5e798c9941a85842f785177bedbbd)
+++ 	(revision )
@@ -1,18 +1,0 @@
-<p-table [value]="planners" [paginator]="true" [rows]="3" [responsive]="true">
-    <ng-template pTemplate="header">
-        <tr>
-            <th pSortableColumn="name">Name <p-sortIcon field="vin"></p-sortIcon>
-            </th>
-            <th style="width:4em"></th>
-        </tr>
-    </ng-template>
-    <ng-template pTemplate="body" let-planner>
-        <tr>
-            <td>{{planner.name}}</td>
-            <td>
-                <button pButton pRipple type="button" icon="pi pi-heart" class="p-button-rounded p-button-help"
-                    (click)="selectPlanner(planner)"></button>
-            </td>
-        </tr>
-    </ng-template>
-</p-table>
Index: trip-planner-front/src/app/location/add-location-to-planner-panel/add-location-to-planner-panel.component.ts
===================================================================
--- trip-planner-front/src/app/location/add-location-to-planner-panel/add-location-to-planner-panel.component.ts	(revision 571e0df9a7a5e798c9941a85842f785177bedbbd)
+++ 	(revision )
@@ -1,34 +1,0 @@
-import { Component, OnInit } from '@angular/core';
-import { Planner } from 'src/app/_models/planner';
-import { PlannerService } from 'src/app/_services/planner.service';
-import { DynamicDialogRef } from 'primeng/dynamicdialog';
-
-
-
-@Component({
-  selector: 'app-add-location-to-planner-panel',
-  templateUrl: './add-location-to-planner-panel.component.html',
-  styleUrls: ['./add-location-to-planner-panel.component.css']
-})
-export class AddLocationToPlannerPanelComponent implements OnInit {
-
-  planners: Planner[];
-  
-  constructor(private plannerService: PlannerService, private ref: DynamicDialogRef) {
-    this.planners = [];
-  }
-
-  ngOnInit(): void {
-
-    this.plannerService.getAllPlanners().subscribe(
-      planner => {
-        this.planners = planner;
-      }
-    );
-  }
-
-  selectPlanner(planner: Planner) {
-    this.ref.close(planner);
-  }
-
-}
Index: trip-planner-front/src/app/location/add-location/add-location.component.css
===================================================================
--- trip-planner-front/src/app/location/add-location/add-location.component.css	(revision 571e0df9a7a5e798c9941a85842f785177bedbbd)
+++ 	(revision )
@@ -1,23 +1,0 @@
-.example-form {
-    min-width: 150px;
-    max-width: 380px;
-    width: 100%;
-  }
-  
-  .example-full-width {
-    width: 100%;
-  }
-  
-  mat-icon {
-    height: 20px;
-    width: 20px;
-    font-size: 20px;
-    margin-right: 5px;
-  }
-  button{
-    float: right;
-  }
-  
-  .yellow{
-    background-color:yellow;
-  }
Index: trip-planner-front/src/app/location/add-location/add-location.component.html
===================================================================
--- trip-planner-front/src/app/location/add-location/add-location.component.html	(revision 571e0df9a7a5e798c9941a85842f785177bedbbd)
+++ 	(revision )
@@ -1,110 +1,0 @@
-<mat-stepper linear #stepper>
-    <mat-step [stepControl]="firstFormGroup" [editable]="isEditable" [completed]="isCompleted">
-        <form [formGroup]="firstFormGroup">
-            <ng-template matStepLabel>Location properties</ng-template>
-            <mat-form-field appearance="fill">
-                <mat-label>Name</mat-label>
-                <input matInput [(ngModel)]="name" formControlName="name" required>
-            </mat-form-field>
-<label></label>
-            <mat-form-field appearance="fill">
-                <mat-label>Description</mat-label>
-                <input matInput [(ngModel)]="desc" formControlName="desc" required>
-            </mat-form-field>
-<label></label>
-            <mat-form-field appearance="fill">
-                <mat-label>Address</mat-label>
-                <input matInput [(ngModel)]="address" formControlName="address" required>
-            </mat-form-field>
-
-            <mat-form-field appearance="fill">
-                <mat-label>Duration</mat-label>
-                <input matInput [(ngModel)]="duration" type="number" formControlName="duration" required>
-            </mat-form-field>
-
-            <mat-form-field appearance="fill">
-                <mat-label>Trivia</mat-label>
-                <input matInput [(ngModel)]="trivia" formControlName="trivia" required>
-            </mat-form-field>
-
-            <mat-form-field appearance="fill">
-              <mat-label>Priority</mat-label>
-              <mat-select [(ngModel)]="priority" name="priority" [ngModelOptions]="{standalone: true}" >
-                <mat-option *ngFor="let priority of priorities" [value]="priority.value">
-                  {{priority.viewValue}}
-                </mat-option>
-              </mat-select>
-            </mat-form-field>
-            
-            <label>
-                <h5>Please select a city</h5>
-            </label>
-            <mat-form-field appearance="fill" class="example-full-width">
-                <mat-label>Please select a city</mat-label>
-                <mat-select [(ngModel)]="cityId" placeholder="Select city" name="city" [ngModelOptions]="{standalone: true}">
-                    <mat-option [value]="city.id" *ngFor="let city of cities"> {{city.name}}</mat-option>
-                </mat-select>
-            </mat-form-field>
-            
-            <label>
-                <h5>Please select a region</h5>
-              </label>
-              <mat-form-field appearance="fill" class="example-full-width">
-                <mat-label>Please select a region</mat-label>
-                <mat-select [(ngModel)]="regionId" placeholder="Select region" name="region" [ngModelOptions]="{standalone: true}">
-                  <mat-option [value]="region.id" *ngFor="let region of regions" [value]="region.id"> {{region.name}}
-                  </mat-option>
-                </mat-select>
-              </mat-form-field>
-
-              <p-fileUpload #fubauto mode="basic" name="demo[]" url=""  chooseLabel="Image"></p-fileUpload>
-
-            <div>
-                <button mat-button matStepperNext (click)="submitLocation()">Next</button>
-            </div>
-        </form>
-    </mat-step>
-    <mat-step [stepControl]="secondFormGroup" [editable]="isEditable" [completed]="isCompletedSecond">
-        <form [formGroup]="secondFormGroup">
-            <ng-template matStepLabel>Add companion for the location</ng-template>
-            <mat-form-field appearance="fill">
-                <mat-label>Companion</mat-label>
-                <mat-select [formControl]="companionForm" multiple>
-                  <mat-select-trigger>
-                    {{companionForm.value ? companionForm.value[0] : ''}}
-                    <span *ngIf="companionForm.value?.length > 1" class="example-additional-selection">
-                      (+{{companionForm.value.length - 1}} {{companionForm.value?.length === 2 ? 'other' : 'others'}})
-                    </span>
-                  </mat-select-trigger>
-                  <mat-option *ngFor="let companion of companions" [value]="companion">{{companion.type}}</mat-option>
-                </mat-select>
-              </mat-form-field>
-            <div>
-                <button mat-button matStepperNext (click)="onClickSecondForm()">Next</button>
-            </div>
-        </form>
-    </mat-step>
-
-    <mat-step [stepControl]="thirdFormGroup" [editable]="isEditable">
-        <form [formGroup]="thirdFormGroup">
-            <ng-template matStepLabel>Add categories for the location</ng-template>
-            <mat-chip-list selectable multiple>
-                <mat-chip #c="matChip" selected *ngFor="let category of categories" (click)="toggleSelection(c, category)"
-                  [ngClass]="{'yellow' : toggle}" name="chips">
-                  <mat-icon *ngIf="!c.selected">check</mat-icon>
-                  {{category.name}}
-                </mat-chip>
-              </mat-chip-list>
-            <div>
-                <button mat-button matStepperNext>Next</button>
-            </div>
-        </form>
-    </mat-step>
-    <mat-step>
-        <ng-template matStepLabel>Done</ng-template>
-        <p>You are now done.</p>
-        <div>
-            <button mat-button (click)="stepper.reset()">Reset</button>
-        </div>
-    </mat-step>
-</mat-stepper>
Index: trip-planner-front/src/app/location/add-location/add-location.component.ts
===================================================================
--- trip-planner-front/src/app/location/add-location/add-location.component.ts	(revision 571e0df9a7a5e798c9941a85842f785177bedbbd)
+++ 	(revision )
@@ -1,147 +1,0 @@
-import { Component, OnInit } from '@angular/core';
-import { FormBuilder, FormControl, FormGroup, Validators } from '@angular/forms';
-import { MatChip } from '@angular/material/chips';
-import { Category } from 'src/app/_models/category';
-import { City } from 'src/app/_models/city';
-import { Companion } from 'src/app/_models/companion';
-import { LocationDto } from 'src/app/_models/dto/locationDto';
-import { Region } from 'src/app/_models/region';
-import { CategoryService } from 'src/app/_services/cateogry.service';
-import { CityService } from 'src/app/_services/city.service';
-import { CompanionService } from 'src/app/_services/companion.service';
-import { LocationService } from 'src/app/_services/location.service';
-import { RegionService } from 'src/app/_services/region.service';
-
-@Component({
-  selector: 'app-add-location',
-  templateUrl: './add-location.component.html',
-  styleUrls: ['./add-location.component.css']
-})
-export class AddLocationComponent implements OnInit {
-    firstFormGroup: FormGroup;
-    secondFormGroup: FormGroup;
-    thirdFormGroup : FormGroup;
-    isEditable = false;
-    categories : Category[] = [];
-    companions : Companion[] = [];
-    cities : City[] = [];
-    cityId : number = 0;
-    regionId : number = 0;
-    regions : Region[] = [];
-    priority: string = '';
-    name: string = '';
-    desc: string = '';
-    address: string = '';
-    duration: number = 0;
-    trivia: string = '';
-    isCompleted = false;
-    locationDto : LocationDto = new LocationDto();
-    companionForm = new FormControl();
-    chipsSeletion: number[] = [];
-    toggle = true;
-    isCompletedSecond = false;
-  
-    priorities: any[] = [
-      {value: 'high', viewValue: 'High'},
-      {value: 'medium', viewValue: 'Medium'},
-      {value: 'low', viewValue: 'Low'},
-    ];
-  
-    constructor(private fb: FormBuilder, private categoryService : CategoryService, 
-      private companionService : CompanionService, private cityService : CityService, private regionService : RegionService,
-      private locationService : LocationService) {
-        this.firstFormGroup = fb.group({
-            title: fb.control('initial value', Validators.required)
-          });
-          this.secondFormGroup = fb.group({
-            title: fb.control('initial value', Validators.required)
-          });
-          this.thirdFormGroup = fb.group({
-            title: fb.control('initial value', Validators.required)
-
-          })
-    }
-  
-    ngOnInit() {
-      this.firstFormGroup = this.fb.group({
-        name: ['', Validators.required],
-        desc: ['', Validators.required],
-        address: ['', Validators.required],
-        priority: ['', Validators.required],
-        trivia: ['', Validators.required],
-        duration: ['', Validators.required],
-      });
-
-      this.secondFormGroup = this.fb.group({
-        secondCtrl: ['', Validators.required],
-      });
-
-      this.categoryService.getAllCategories().subscribe(
-        data => {
-          this.categories = data;
-        }
-      );
-  
-      this.companionService.getAllCompanions().subscribe(
-        data => {
-          this.companions = data;
-        }
-      );
-
-      
-      this.cityService.getAllCities().subscribe(
-        data => {
-          this.cities = data;
-        }
-      );
-
-      this.regionService.getAllRegions().subscribe(
-        data => {
-          this.regions = data;
-        }
-      );
-    }
-
-    submitLocation(){
-      this.locationDto.name = this.name;
-      this.locationDto.description = this.desc;
-      this.locationDto.address = this.address;
-      this.locationDto.duration = this.duration;
-      this.locationDto.trivia = this.trivia;
-      this.locationDto.priority = this.priority;
-      this.locationDto.city = this.cityId;
-      this.locationDto.region = this.regionId;
-      if(this.name !== null && this.desc !== null && this.address !== null
-        && this.trivia != null  && this.priority !== null && this.cityId !== 0 && this.regionId !== 0){
-          this.isCompleted = true;        
-          this.locationService.save(this.locationDto).subscribe(
-            data => {
-              console.log(data);
-            }
-          );  
-         
-      }   
-    }
-
-    toggleSelection(chip: MatChip, category: Category) {
-      chip.toggleSelected();
-  
-      if (this.chipsSeletion.length > 0) {
-        if (this.chipsSeletion.indexOf(category.id) <= -1) {
-          this.chipsSeletion.push(category.id);
-        } else {
-          const index = this.chipsSeletion.indexOf(category.id);
-          this.chipsSeletion.splice(index, 1);
-        }
-      } else {
-        this.chipsSeletion.push(category.id);
-      }
-      console.log(this.chipsSeletion);
-    }
-    onClickSecondForm(){
-      if(this.companionForm.value.length >= 1){
-        this.isCompletedSecond = true;
-      }
-      console.log(this.companionForm.value.length)
-    }
-}
Index: trip-planner-front/src/app/location/location-details/location-details.component.html
===================================================================
--- trip-planner-front/src/app/location/location-details/location-details.component.html	(revision 571e0df9a7a5e798c9941a85842f785177bedbbd)
+++ 	(revision )
@@ -1,23 +1,0 @@
-<p>Details for the location</p>
-<p>{{locationDetails.name}}</p>
-<p>{{locationDetails.description}}</p>
-
-<div class="content-section implementation">
-    <div class="card">
-        <p-galleria [value]="images" [responsiveOptions]="responsiveOptions" [containerStyle]="{'max-width': '640px'}"
-            [numVisible]="5" [circular]="true" [showItemNavigators]="true" [showThumbnails]="false">
-            <ng-template pTemplate="item" let-image>
-                <img src="data:image/png;base64,{{image.content}}"
-                    style="width: 100%; height: 350px; display: block;" />
-            </ng-template>
-            <ng-template pTemplate="thumbnail" let-image>
-                <div class="p-grid p-nogutter p-justify-center">
-                    <img src="data:image/png;base64,{{image.content}}"
-                        style=" display: block;" />
-                </div>
-            </ng-template>
-        </p-galleria>
-        <br>
-        <p-rating></p-rating>
-    </div>
-</div>
Index: trip-planner-front/src/app/location/location-details/location-details.component.ts
===================================================================
--- trip-planner-front/src/app/location/location-details/location-details.component.ts	(revision 571e0df9a7a5e798c9941a85842f785177bedbbd)
+++ 	(revision )
@@ -1,60 +1,0 @@
-import { Component, OnInit } from '@angular/core';
-import { ActivatedRoute } from '@angular/router';
-import { Images } from 'src/app/_models/images';
-import { Location } from 'src/app/_models/location';
-import { ImagesService } from 'src/app/_services/images.service';
-import { LocationService } from 'src/app/_services/location.service';
-
-@Component({
-  selector: 'app-location-details',
-  templateUrl: './location-details.component.html',
-  styleUrls: ['./location-details.component.css']
-})
-export class LocationDetailsComponent implements OnInit {
-
-  locationId: number;
-  locationDetails: Location;
-  images: Images[];
-
-  constructor(private route: ActivatedRoute, private locationService: LocationService,
-    private imagesService: ImagesService) {
-    this.locationId = 1;
-    this.locationDetails = new Location();
-    this.images = [];
-  }
-
-  responsiveOptions:any[] = [
-    {
-        breakpoint: '1024px',
-        numVisible: 5
-    },
-    {
-        breakpoint: '768px',
-        numVisible: 3
-    },
-    {
-        breakpoint: '560px',
-        numVisible: 1
-    }
-];
-  ngOnInit(): void {
-    this.route.queryParams
-      .subscribe(params => {
-        this.locationId = params.id;
-      });
-
-    this.locationService.getLocation(this.locationId).subscribe(
-      data => {
-        this.locationDetails = data;
-      }
-    );
-
-    this.imagesService.getAllImagesForLocation(this.locationId).subscribe(
-      image => {
-        this.images = image;
-      }
-    );
-  }
-
-
-}
Index: trip-planner-front/src/app/location/location.component.css
===================================================================
--- trip-planner-front/src/app/location/location.component.css	(revision 571e0df9a7a5e798c9941a85842f785177bedbbd)
+++ trip-planner-front/src/app/location/location.component.css	(revision 6a3a178323fd905112b5392bd9d3cb83b66ef2d3)
@@ -1,5 +1,0 @@
-img{
-    width: 150px;
-    height: 120px;
-    display: block;
-}
Index: trip-planner-front/src/app/location/location.component.html
===================================================================
--- trip-planner-front/src/app/location/location.component.html	(revision 571e0df9a7a5e798c9941a85842f785177bedbbd)
+++ trip-planner-front/src/app/location/location.component.html	(revision 6a3a178323fd905112b5392bd9d3cb83b66ef2d3)
@@ -1,30 +1,17 @@
-<link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.1/dist/css/bootstrap.min.css" rel="stylesheet"
-  integrity="sha384-+0n0xVW2eSR5OomGNYDnhzAbDsOXxcvSN1TPprVMTNDbiYZCxYbOOl7+AMvyTG2x" crossorigin="anonymous">
+<div *ngFor="let category of categories">
+  {{category.name}}
+  </div>
 
-<p-toast></p-toast>
-<h3>Here are all locations</h3>
-<button pButton pRipple type="button" icon="pi pi-bell" class="p-button-rounded p-button-warning"
-  label="Back to my Planners" (click)="onClickBackToMyPlanners()"></button>
-<table class="table">
-  <thead>
-    <tr>
-      <th scope="col">#</th>
-      <th scope="col">Photo</th>
-      <th scope="col">Location name</th>
-      <th scope="col"> Add to my planner</th>
-      <th scope="col">See details </th>
-    </tr>
-  </thead>
-  <tbody>
-    <tr *ngFor="let location of listLocations">
-      <td>{{location.id}}</td>
-      <td><img src="data:image/png;base64,{{location.photo}}" /></td>
-      <td>{{location.name}}</td>
-      <td><button type="button" (click)="show(location)" pButton icon="pi pi-info-circle"
-          label="Add to my planner"></button></td>
-      <td><button type="button" color="primary" pButton icon="pi pi-info-circle"
-          (click)="onClickSeeDetails(location.id)" label="See details"></button>
-      </td>
-    </tr>
-  </tbody>
-</table>
+  <hr>
+
+  <div *ngFor="let city of cities">
+    {{city.name}}
+  </div>
+  <div *ngFor="let country of countries">
+    {{country.name}}
+  </div>
+
+  <hr>
+  <div *ngFor="let companion of companions">
+    {{companion.type}}
+  </div>
Index: trip-planner-front/src/app/location/location.component.ts
===================================================================
--- trip-planner-front/src/app/location/location.component.ts	(revision 571e0df9a7a5e798c9941a85842f785177bedbbd)
+++ trip-planner-front/src/app/location/location.component.ts	(revision 6a3a178323fd905112b5392bd9d3cb83b66ef2d3)
@@ -1,143 +1,55 @@
 import { Component, OnInit } from '@angular/core';
-import { ActivatedRoute, Router } from '@angular/router';
-import { MessageService } from 'primeng/api';
-import { DialogService, DynamicDialogRef } from 'primeng/dynamicdialog';
-import { Planner } from '../_models/planner';
-import { LocationService } from '../_services/location.service';
-import { AddLocationToPlannerPanelComponent } from './add-location-to-planner-panel/add-location-to-planner-panel.component';
-import { Location } from '../_models/location';
-import { PlannerLocationDto } from '../_models/dto/plannerLocationDto';
-
+import { Category } from '../_models/category';
+import { City } from '../_models/city';
+import { Companion } from '../_models/companion';
+import { Country } from '../_models/country';
+import { CategoryService } from '../_services/cateogry.service';
+import { CityService } from '../_services/city.service';
+import { CompanionService } from '../_services/companion.service';
+import { CountryService } from '../_services/country.service';
 
 @Component({
   selector: 'app-location',
   templateUrl: './location.component.html',
-  styleUrls: ['./location.component.css'],
-  providers: [DialogService, MessageService]
+  styleUrls: ['./location.component.css']
 })
 export class LocationComponent implements OnInit {
 
-  categoryIds: string;
-  cityId: number;
-  companionId: number;
-  lengthOfStay: number;
-  listLocations: any[];
-  cityOption: boolean = false;
-  regionOption: boolean = false;
-  regionId: number;
-  locationId: number;
-  plannerLocationDto: PlannerLocationDto;
-  ref: DynamicDialogRef;
-  locationIdsPlanner: number[];
+  categories: Category[];
+  cities: City[];
+  countries:Country[];
+  companions: Companion[];
+  constructor(private categoryService: CategoryService, private cityService : CityService,
+            private countryService : CountryService, private companionService : CompanionService) {
+    this.categories = [];
+    this.cities=[];
+    this.countries = [];
+    this.companions = [];
+   }
+   
+  ngOnInit(): void {
+    this.categoryService.getAllCategories().subscribe(
+      data => {
+        this.categories = data;
+        console.log(data);
+      }
+    );
+    this.cityService.getAllCities().subscribe(
+      data => {
+        this.cities = data;
 
+      }
+    );
+    this.countryService.getAllCountries().subscribe(
+      data => {
+        this.countries = data;
+      }
+    );
 
-  constructor(private route: ActivatedRoute, private locationService: LocationService,
-    private router: Router, private dialogService: DialogService, private messageService: MessageService) {
-    this.cityId = 1;
-    this.companionId = 1;
-    this.lengthOfStay = 1;
-    this.categoryIds = '';
-    this.listLocations = [];
-    this.regionId = 1;
-    this.locationId = 1;
-    this.ref = new DynamicDialogRef();
-    this.plannerLocationDto = new PlannerLocationDto();
-    this.locationIdsPlanner = [];
+    this.companionService.getAllCompanions().subscribe(
+      data => {
+        this.companions = data;
+      }
+    );
   }
-
-  ngOnInit(): void {
-
-    this.route.queryParams
-      .subscribe(params => {
-        console.log(params);
-        this.cityId = params.cityId;
-        this.regionId = params.regionId;
-        this.companionId = params.companionId;
-        this.lengthOfStay = params.lengthOfStay;
-        this.categoryIds = params.categoryIds;
-      }
-      );
-
-    if (this.route.snapshot.queryParams['cityId']) {
-      this.locationService.getLocationsFromCity(this.cityId, this.companionId, this.lengthOfStay, this.categoryIds).subscribe(
-        result => {
-          console.log(result);
-          this.listLocations = result;
-        }
-      );
-    } else
-      if (this.route.snapshot.queryParams['regionId']) {
-        console.log("I am in region console");
-        this.locationService.getLocationsFromRegion(this.regionId, this.companionId, this.lengthOfStay, this.categoryIds).subscribe(
-          result => {
-            console.log(result);
-            this.listLocations = result;
-          }
-        );
-      }
-
-  }
-
-  onClickSeeDetails(id: number) {
-    this.router.navigate(['location'], { queryParams: { id: id } });
-  }
-
-  show(location: Location) {
-    console.log(location.id);
-    this.ref = this.dialogService.open(AddLocationToPlannerPanelComponent, {
-      header: 'Choose a Planner',
-      width: '70%',
-      contentStyle: { "max-height": "500px", "overflow": "auto" },
-      baseZIndex: 10000
-    });
-
-    this.ref.onClose.subscribe((planner: Planner) => {
-      if (planner) {
-        this.plannerLocationDto.locationId = location.id;
-        this.plannerLocationDto.plannerId = planner.id;
-        console.log("LOC ID: " + this.plannerLocationDto.locationId);
-        console.log("PLANNER ID: " + this.plannerLocationDto.plannerId);
-
-        this.locationService.getAllLocationIdsForPlanner(planner.id).subscribe(
-          lid => {
-            if (lid.length == 0) {
-              this.locationService.postLocationToPlanner(this.plannerLocationDto).subscribe(
-                data => {
-                  console.log(data);
-                }
-              );
-              this.messageService.add({ severity: 'success', summary: 'Location ' + location.name + ' has been added to planner: ', detail: planner.name });
-
-            } else if (lid.length > 0) {
-              if (lid.indexOf(this.plannerLocationDto.locationId) !== -1) {
-                console.log("LOKACIJATA VEKE JA IMA VO PLANEROT");
-                this.messageService.add({ severity: 'error', summary: 'Location ' + location.name + ' already exists in the planner.' });
-              } else {
-                this.locationService.postLocationToPlanner(this.plannerLocationDto).subscribe(
-                  data => {
-                    console.log(data);
-                  }
-                );
-                this.messageService.add({ severity: 'success', summary: 'Location ' + location.name + ' has been added to planner: ', detail: planner.name });
-              }
-
-            }
-          }
-        );
-      }
-    });
-
-  }
-
-  ngOnDestroy() {
-    if (this.ref) {
-      this.ref.close();
-    }
-  }
-
-  onClickBackToMyPlanners() {
-    this.router.navigate(['planners']);
-  }
-
-
 }
